<?php 
/* 
Template Name: Author 
*/ 
?>

<?php include (TEMPLATEPATH."/header.php"); ?>

<?php 
	if(isset($_GET['author_name'])) :
	$curauth = get_userdatabylogin($author_name); 
	else :
	$curauth = get_userdata(intval($author));
	endif;
?>

<div class="author"> <!-- section describing the author -->
<!--
This displays the "about the author" section.  The text displayed is taken from the user's profile in wordpress.  The avatar ia  fetched from www.gravatar.com based on the author's email address.
-->
	<?php echo get_avatar($curauth->ID, 72); ?>
	<div class="about-text"> 
		<?php echo $curauth->description; ?>
	</div>
</div>
	
<div class="force-break"></div>

<h2>Articles</h2>
	<ul>
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
			<div class="entry-content">
				<li>
					<?php the_time('d F, Y'); ?> - <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?><?php the_excerpt(); ?></a>
				</li>
			</div>
		<?php endwhile; else: ?>
			<p><?php _e('No articles by this author.'); ?></p>
		<?php endif; ?>
		</ul>

<div class="navigation">
	<?php posts_nav_link(' &#8212; ', __('&laquo; newer articles'), __('older articles &raquo;')); ?>
</div>


</div> <!-- end content -->

<?php get_footer(); ?>